Jump to content

How to make server without caves?


Recommended Posts

I would like to know that, right now if I want a sinlge layered server I close the cave server window, actually I'm happy with that solution but feels flawed and there should be a way, surely there is, keep looking here in the forums

Link to comment
Share on other sites

3 hours ago, cezarica said:

Step 8 and 9 are basically caves setup, and at step 10 you need to remove all the lines with 'caves' in them.

The script ended here when I did that.


Master: [00:00:50]: Loading Nav Grid

 

Link to comment
Share on other sites

So the script to start the servers from the guide is now:

#!/bin/bash

steamcmd_dir="$HOME/steamcmd"
install_dir="$HOME/dontstarvetogether_dedicated_server"
cluster_name="MyDediServer"
dontstarve_dir="$HOME/.klei/DoNotStarveTogether"

function fail()
{
        echo Error: "$@" >&2
        exit 1
}

function check_for_file()
{
    if [ ! -e "$1" ]; then
            fail "Missing file: $1"
    fi
}

cd "$steamcmd_dir" || fail "Missing $steamcmd_dir directory!"

check_for_file "steamcmd.sh"
check_for_file "$dontstarve_dir/$cluster_name/cluster.ini"
check_for_file "$dontstarve_dir/$cluster_name/cluster_token.txt"
check_for_file "$dontstarve_dir/$cluster_name/Master/server.ini"

./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

check_for_file "$install_dir/bin"

cd "$install_dir/bin" || fail 

run_shared=(./dontstarve_dedicated_server_nullrenderer)
run_shared+=(-cluster "$cluster_name")
run_shared+=(-monitor_parent_process $$)

"${run_shared[@]}" -shard Master | sed 's/^/Master: /'

Any other message after Master: [00:00:50]: Loading Nav Grid ?

Link to comment
Share on other sites

There is no other messages after Loading Nav Grid, however, I managed to fix the problem by upgrading my VPS memory size from 512MB RAM to 1GB RAM. Would be good if it was able to run on 512MB thought since the upgrade is double the price :/

Also, how can I setup 2 servers 1 for caves and 1 for the overworld on 2 different VPS instead of both on 1?

Link to comment
Share on other sites

From my limited testing on my poor cheap AF server where I had just 2 GB of RAM and it seemed to be enough from a RAM point of view, but as soon as had 5-6 players connected the CPU usage game skyrocketed and was starting to lag a lot as the CPU was huffing and puffing.

How is your CPU usage?

Changed the 2GB RAM to a 8GB and the RAM usage is roughly about the same 2GB consumed by the entire system BUT the CPU usage is way way low. Before I used to hear people complain about lag and ruining their fun but after the change and changes Klei made to the game code it seems to run smoother now.

Honestly I would recommend switching to another provider if 512MB of RAM is that expensive.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

Please be aware that the content of this thread may be outdated and no longer applicable.

×
  • Create New...